POST /kling/v1/videos/effects
Method: POSTEndpoint: /kling/v1/videos/effects
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
For full parameters, see the official documentation: https://docs.qingque.cn/d/home/eZQClW07IFEuX1csc-VejdY2M?identityId=1oEG9JKKMFv#section=h.jf1wj61w4jyf This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
effect_scene
string
Required
input
object
Required
model_name
string
Required
mode
string
Required
images
array
[string]
Required
duration
string
Required
Example
{
"effect_scene"
:
"string"
,
"input"
:
{
"model_name"
:
"string"
,
"mode"
:
"string"
,
"images"
:
[
"string"
]
,
"duration"
:
"string"
}
}Example Request
Shell
bash
curl --location --request POST '/kling/v1/videos/effects' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"effect_scene": "string",
"input": {
"model_name": "string",
"mode": "string",
"images": [
"string"
],
"duration": "string"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 0,
"message": "SUCCEED",
"request_id": "CmJ8DGePZioAAAAAAFIvOQ",
"data": {
"task_id": "CmJ8DGePZioAAAAAAFIvOQ",
"task_status": "submitted",
"created_at": 1737628288136,
"updated_at": 1737628288136
}
}